Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.rproject.ant
Class Message

    java.lang.Object
      org.rproject.ant.Message

    public class Message

extends java.lang.Object

A message that is captured from the R output

Author:
  Romain Francois

Field Summary
`static int` | `ERROR` Error or warning
`private java.lang.String` | `message` The text of the message
`static int` | `MESSAGE` A regular message
`private int` | `type` The type of the message

Constructor Summary
`Message(java.lang.String message)` Creates a regular message
`Message(java.lang.String message, int type)` Creates a message of a given type

Method Summary
`java.lang.String` | `getMessage()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE

    public static final int MESSAGE

  A regular message

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Error or warning

  See Also:
    Constant Field Values

### message

    private java.lang.String message

  The text of the message

### type

    private int type

  The type of the message

Constructor Detail

### Message

    public Message(java.lang.String message,
                   int type)

  Creates a message of a given type

  Parameters:
    `message` - text of the message
    `type` - type of message

### Message

    public Message(java.lang.String message)

  Creates a regular message

  Parameters:
    `message` - text of the message

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns:
    the text of this message

### getType

    public int getType()

  Returns:
    the type of this message

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Romain Francois francoisromain@free.fr